com.smartgwt.client.types

## Enum RowEndEditAction

- java.lang.Object
- - java.lang.Enum<RowEndEditAction>
  - - com.smartgwt.client.types.RowEndEditAction

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<RowEndEditAction>

      public enum RowEndEditAction
      extends java.lang.Enum<RowEndEditAction>
      implements ValueEnum

  While editing a ListGrid, what cell should we edit when the user attempts to navigate into a cell past the end of an editable row, via a Tab keypress, or a programmatic saveAndEditNextCell() call?

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DONE` complete the edit.
    `NEXT` navigate to the first editable cell in the next record
    `NONE` take no action
    `SAME` navigate to the first editable cell in the same record
    `STOP` Leave focus in the cell being edited (take no action)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static RowEndEditAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RowEndEditAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SAME

          public static final RowEndEditAction SAME

      navigate to the first editable cell in the same record

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "same".

    - #### NEXT

          public static final RowEndEditAction NEXT

      navigate to the first editable cell in the next record

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "next".

    - #### DONE

          public static final RowEndEditAction DONE

      complete the edit.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "done".

    - #### STOP

          public static final RowEndEditAction STOP

      Leave focus in the cell being edited (take no action)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "stop".

    - #### NONE

          public static final RowEndEditAction NONE

      take no action

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static RowEndEditAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowEndEditAction c : RowEndEditAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowEndEditAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`